Ioncube 7.7 with php 7 causing issues

asked Sep 8, 2017 by Deage (120 points)
Hi,

I hope you can help.
My test website is causing an error 500 upon reloading the web page based on a local server, this was working fine prior to loading IonCube; php log file shows:
[08-Sep-2017 02:45:20 UTC] PHP Fatal error:  The file D:\kcc\apache\htdocs\plugins\api\Api.php was encoded by the ionCube Encoder for PHP 5.3 and cannot run under PHP 7.0.
 Please ask the provider of the script to provide a version encoded with the ionCube Encoder for PHP 5.6. in Unknown on line 0

At this stage I'm unable to re-load the website due to this issue, is there an updated API.php you can provide? I wasn't using IonCube previously and installed it to make use of some of the plugins which inturn caused this issue. I've commented the ioncube extension out from php.ini however then results in :Site error: the file D:\kcc\apache\htdocs\plugins\api\Api.php requires the ionCube PHP Loader ioncube_loader_win_7.1.dll to be installed by the website operator.

Best regards,

- D

1 Answer

answered Sep 8, 2017 by Pavel.g (4,560 points)
Hello Deage.

What version of seotoaster do you have?

Regards, Pavel.
...